%define upstream_name    Linux-Distribution
%define upstream_version 0.23

Summary:    Mudule for Linux distribution
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/LINUX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Perl extension to guess on which Linux distribution we are running.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
#make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Linux
%{_mandir}/man3/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.230.0-5.mga8
+ Revision: 1495370
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.230.0-4.mga7
+ Revision: 1268886
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-3.mga6
+ Revision: 1029164
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.230.0-2.mga6
+ Revision: 968154
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.230.0-1.mga6
+ Revision: 851423
- update to 0.23

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-5.mga5
+ Revision: 744020
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.210.0-4.mga5
+ Revision: 685227
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.210.0-3.mga4
+ Revision: 512605
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-2.mga3
+ Revision: 369101
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 jquelin <jquelin> 0.210.0-1.mga2
+ Revision: 218757
- update to 0.21

* Thu Jan 20 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 26443
- mageia rebuild
- imported package perl-Linux-Distribution


* Mon Dec 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.200.0-1mdv2011.0
+ Revision: 612366
- new version

* Fri Jan 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.140_100-1mdv2011.0
+ Revision: 484901
- disable tests because they fails on chroot
- import perl-Linux-Distribution


